<bugID>456002<Summary>Dragging and dropping a tab from a window with 1 tab is broken</Summary><Description>Steps to reproduce:

1. Create 2 windows of Firefox, 1 must only have 1 tab
2. Drag and drop that 1 tab to the other window of Firefox
3. Notice one tab that was originally in the 2nd window has now gone to whatever page the tab which drag and dropped had and a new blank unclosable tab has been created in the 2nd window.

Expected results:

A new tab from the 1st window should of been created.

Also the the error console says this:

Error: uncaught exception: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIWebProgress.removeProgressListener]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://browser/content/tabbrowser.xml :: _beginRemoveTab :: line 1439"  data: no]

Test on Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.9.1b1pre) Gecko/20080918073230 Minefield/3.1b1pre ID:20080918073230 and also confirmed on Windows Vista</Description></bugID>